Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.xml
Enum QXmlStreamReader.TokenType

    java.lang.Object
      java.lang.Enum<QXmlStreamReader.TokenType>
          com.trolltech.qt.xml.QXmlStreamReader.TokenType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QXmlStreamReader.TokenType>

Enclosing class:
  QXmlStreamReader

    public static enum QXmlStreamReader.TokenType

extends java.lang.Enum<QXmlStreamReader.TokenType>
implements QtEnumerator

This enum specifies the type of token the reader just read.

Enum Constant Summary
`Characters` The reader reports characters in `text`.
`Comment` The reader reports a comment in `text`.
`DTD` The reader reports a DTD in `text`, notation declarations in `notationDeclarations`.
`EndDocument` The reader reports the end of the document.
`EndElement` The reader reports the end of an element with `namespaceUri` and `name`.
`EntityReference` The reader reports an entity reference that could not be resolved.
`Invalid` An error has occurred, reported in `error` and `errorString`.
`NoToken` The reader has not yet read anything.
`ProcessingInstruction` The reader reports a processing instruction in `processingInstructionTarget` and `processingInstructionData`.
`StartDocument` The reader reports the start of the document.
`StartElement` The reader reports the start of an element with `namespaceUri` and `name`.

Method Summary
`static QXmlStreamReader.TokenType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlStreamReader.TokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QXmlStreamReader.TokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoToken

    public static final QXmlStreamReader.TokenType NoToken

  The reader has not yet read anything.

### Invalid

    public static final QXmlStreamReader.TokenType Invalid

  An error has occurred, reported in `error` and `errorString`.

### StartDocument

    public static final QXmlStreamReader.TokenType StartDocument

  The reader reports the start of the document. If the document is declared standalone, `isStandaloneDocument` returns true; otherwise it returns false.

### EndDocument

    public static final QXmlStreamReader.TokenType EndDocument

  The reader reports the end of the document.

### StartElement

    public static final QXmlStreamReader.TokenType StartElement

  The reader reports the start of an element with `namespaceUri` and `name`. Empty elements are also reported as `StartElement`, followed directly by `EndElement`. The convenience function `readElementText` can be called to concatenate all content until the corresponding `EndElement`. Attributes are reported in `attributes`, namespace declarations in `namespaceDeclarations`.

### EndElement

    public static final QXmlStreamReader.TokenType EndElement

  The reader reports the end of an element with `namespaceUri` and `name`.

### Characters

    public static final QXmlStreamReader.TokenType Characters

  The reader reports characters in `text`. If the characters are all white-space, `isWhitespace` returns true. If the characters stem from a CDATA section, `isCDATA` returns true.

### Comment

    public static final QXmlStreamReader.TokenType Comment

  The reader reports a comment in `text`.

### DTD

    public static final QXmlStreamReader.TokenType DTD

  The reader reports a DTD in `text`, notation declarations in `notationDeclarations`.

### EntityReference

    public static final QXmlStreamReader.TokenType EntityReference

  The reader reports an entity reference that could not be resolved. The name of the reference is reported in `name`, the replacement text in `text`.

### ProcessingInstruction

    public static final QXmlStreamReader.TokenType ProcessingInstruction

  The reader reports a processing instruction in `processingInstructionTarget` and `processingInstructionData`.

Method Detail

### values

    public static final QXmlStreamReader.TokenType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QXmlStreamReader.TokenType c : QXmlStreamReader.TokenType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QXmlStreamReader.TokenType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlStreamReader.TokenType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD